Автор Тема: [xfce4, thunar, wheezy] Обновление Thunar 1.2.x -> 1.6.x = ФМ с вкладками  (Прочитано 2871 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн nk

  • Пользователь
  • *
  • Topic Author
  • Сообщений: 31
Опишу свой способ, которым я установил Thunar из sid (он просто с вкладками этой версии именно)...

Итак, способов много,
если Вы знаете какой-то еще и главное проверенный именно Вами и работающий, поделитесь, интересно

В общем, есть такой дистр siduction основанный на sid и у него репы неплохо разбиты,
вот смотрите http://packages.siduction.org/
kde лежит в kdenext , xfce в xfcenext...

В сети же я находил способы по установке, из unstable/testing/и самого sid, мне же очень этот понравился
http://crunchbang.org/forums/viewtopic.php?pid=329964#p329964 а именно:
http://forum.linuxvillage.org/index.php?topic=229.0
т.е. подключить репы только с xfce от sid* и не более

Подключаем, добавляем в /et/sources.list
# Xfce4 / Thunar
deb http://packages.siduction.org/xfcenext unstable main
#deb http://ftp.spline.de/pub/siduction/xfcenext unstable main

выставляем приоритет, у меня cranchbang сейчас, но ничего - все по-аналогии делаем:
Package: *
Pin: release a=waldorf
Pin-Priority: 600

Package: *
Pin: release a=wheezy
Pin-Priority: 500
Т.е. что бы приоритет был у этого репа одинаковый и по-дефолту 500, так мы сможем xfce обновлять, конечно это чревато неработоспособностью, но пока вроде пашет, так что ставим, как его там прописать, пока не разобрался

Устанавливаем ключ этого репа, вот здесь он:
http://packages.siduction.org/base/pool/main/s/siduction-archive-keyring/siduction-archive-keyring_2013.03.29_all.deb
> dpkg -i siduction-archive-keyring_2013.03.29_all.deb

Далее
# apt-get update# apt-get install -t unstable thunarИ в принципе все, обновится ряд компонентов xfce4 и сам thunar и теперь у нас будет thunar с вкладками и даже с предросмотром изображений

По поводу монтирования флэшек, разделов - проблем не схватил, конечно у меня кранч, но не суть думаю важно, stable ведь как никак
« Последнее редактирование: 18 Апрель 2014, 21:13:50 от nk »
 

Онлайн BULATUS

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 2012
Аккуратнее со сторонними репозиториями, и ветками. Идущий в sid, и использующий сторонние источники пакетов должен быть готов к неожиданным сюрпризам.  :)

Оффлайн Malaheenee

  • Ветеран
  • *****
  • Сообщений: 2565
  • Учтите, мы можем дать и вредный совет.
Лучше уж тогда сразу sid и установить :) Ломают здесь редко чего. Это не... ну вы поняли. ;)
Debian Sid: XFCE x 1, openbox x 2.
Все мы где-то, когда-то и в чем-то были новичками.
 

Русскоязычное сообщество Debian GNU/Linux


Оффлайн nk

  • Пользователь
  • *
  • Topic Author
  • Сообщений: 31
Ну вот все, началось кажись, так что будьте внимательны

root@cb:~# apt-get upgrade
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Пакеты, которые будут оставлены в неизменном виде:
  libxfce4ui-1-0 xfce-keyboard-shortcuts
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 2 пакетов не обновлено.
root@cb:~# aptitude versions xfce-keyboard-shortcuts
Пакет xfce-keyboard-shortcuts:                                       
p A 4.8.1-1                                      stable                    500
i A 4.10.0-1                                                               100
p A 4.11.0-1                                     <NULL>                    500
root@cb:~# aptitude dist-upgrade
Следующие пакеты будут обновлены:               
  libxfce4ui-1-0{b} xfce-keyboard-shortcuts{b}
2 пакетов обновлено, 0 установлено новых, 0 пакетов отмечено для удаления, и 0 пакетов не обновлено.
Необходимо получить 141 kB архивов. После распаковки освободится 836 k байт.
Следующие пакеты имеют неудовлетворённые зависимости:
 xfce-keyboard-shortcuts : Зависит: libxfce4ui-common который является виртуальным пакетом.
 libxfce4ui-1-0 : Зависит: libfontconfig1 (>= 2.11) но установлен 2.9.0-7.1
                  Зависит: libpango-1.0-0 (>= 1.14.0) который является виртуальным пакетом.
                  Зависит: libpangocairo-1.0-0 (>= 1.14.0) который является виртуальным пакетом.
                  Зависит: libpangoft2-1.0-0 (>= 1.14.0) который является виртуальным пакетом.
                  Зависит: libxfce4ui-common (>= 4.11) который является виртуальным пакетом.
Следующие действия разрешат зависимости:

      Удалить следующие пакеты:                                 
1)      exo-utils                                               
2)      libexo-1-0                                             
3)      libthunarx-2-0                                         
4)      libxfce4ui-1-0                                         
5)      libxfcegui4-4                                           
6)      orage                                                   
7)      ristretto                                               
8)      thunar                                                 
9)      thunar-archive-plugin                                   
10)     thunar-dropbox-plugin                                   
11)     thunar-media-tags-plugin                               
12)     thunar-volman                                           
13)     xfburn                                                 
14)     xfce-keyboard-shortcuts                                 
15)     xfce4-cpufreq-plugin                                   
16)     xfce4-cpugraph-plugin                                   
17)     xfce4-datetime-plugin                                   
18)     xfce4-diskperf-plugin                                   
19)     xfce4-fsguard-plugin                                   
20)     xfce4-genmon-plugin                                     
21)     xfce4-mixer                                             
22)     xfce4-mount-plugin                                     
23)     xfce4-netload-plugin                                   
24)     xfce4-notes                                             
25)     xfce4-notes-plugin                                     
26)     xfce4-notifyd                                           
27)     xfce4-panel                                             
28)     xfce4-power-manager                                     
29)     xfce4-quicklauncher-plugin                             
30)     xfce4-screenshooter                                     
31)     xfce4-sensors-plugin                                   
32)     xfce4-systemload-plugin                                 
33)     xfce4-terminal                                         
34)     xfce4-weather-plugin                                   
35)     xfce4-xkb-plugin                                       

      Оставить следующие зависимости неразрешёнными:           
36)     gajim рекомендует notification-daemon                   
37)     thunar рекомендует xfce4-panel (>= 4.9.2)               
38)     thunar рекомендует thunar-volman                       
39)     cb-metapackage рекомендует xfce4-power-manager         
40)     cb-metapackage рекомендует xfce4-notifyd               
41)     cb-metapackage рекомендует thunar                       
42)     cb-metapackage рекомендует thunar-volman               
43)     cb-metapackage рекомендует thunar-archive-plugin       
44)     cb-metapackage рекомендует thunar-dropbox-plugin       
45)     cb-metapackage рекомендует thunar-media-tags-plugin     
46)     cb-metapackage рекомендует xfce4-mixer                 
47)     cb-metapackage рекомендует xfce4-screenshooter         
48)     cb-metapackage рекомендует xfburn                       
49)     xfce4-power-manager-data рекомендует xfce4-power-manager
50)     xfce4-screenshooter рекомендует xfce4-panel (>= 4.7.7) 
51)     libnotify4 рекомендует notification-daemon             
52)     network-manager-gnome рекомендует notification-daemon   


Принять данное решение? [Y/n/q/?]
 

Оффлайн nk

  • Пользователь
  • *
  • Topic Author
  • Сообщений: 31
надо же в свое время видел и что-то упустил/забыл статейку
http://www.linuxhub.ru/viewtopic.php?p=825
 

Оффлайн nk

  • Пользователь
  • *
  • Topic Author
  • Сообщений: 31
Итак, по ходу данный способ на сегодня уже не работает
libxfce4ui ему нужен, которого по непонятным причинам нет в siduction'е уже, что аж печаль.

Выход конечно есть, раздобыть его где-то, но потом не факт что еще что-нибудь не потребуется при обновлении, в общем на уровне раздобудь-поставь-проверь решить вопрос, наверно, можно...
 

Оффлайн vladimir_ar

  • Ветеран
  • *****
  • Сообщений: 1624
PCManFM 1.2.0 из testing умеет две вкладки.
Debian Testing, kernel 3.16-2-amd64, OpenBox
AMD A8-3750 / 16Gb RAM / ATI HD6550D (onboard) / Sound ASUS Xonar - DS
_______________________________
Debian Testing, kernel 3.14-2-amd64, OpenBox
HP-655 AMD E1 / 8Gb RAM / ATI HD7310M
 

Оффлайн nk

  • Пользователь
  • *
  • Topic Author
  • Сообщений: 31
PCManFM 1.2.0 из testing умеет две вкладки.
так PCManFM умеет и больше 2х вкладок или ты не про это?
 

Оффлайн vladimir_ar

  • Ветеран
  • *****
  • Сообщений: 1624
Имел ввиду двухпанельный режим. А вкладок он умеет много (на максимум не проверял  :) )
Debian Testing, kernel 3.16-2-amd64, OpenBox
AMD A8-3750 / 16Gb RAM / ATI HD6550D (onboard) / Sound ASUS Xonar - DS
_______________________________
Debian Testing, kernel 3.14-2-amd64, OpenBox
HP-655 AMD E1 / 8Gb RAM / ATI HD7310M
 

Оффлайн nk

  • Пользователь
  • *
  • Topic Author
  • Сообщений: 31
Ладно. тем временем мне кажется я нашел пакет(ы), которые являются причиной сегодняшних необновлений, вот они:
http://packages.siduction.org/xfcenext/pool/main/libx/libxfce4ui/
здесь и еще наверно где-то с версией 4.11.0 , раньше 4.10 была и было все нормально
 

Теги:
 

Обновление с Lenny до Squezee

Автор sCode

Ответов: 7
Просмотров: 6812
Последний ответ 24 Август 2017, 10:02:27
от mari
Краткая инструкция по установке Debian Wheezy на флешку + Grub2

Автор pa_

Ответов: 5
Просмотров: 10212
Последний ответ 09 Июль 2015, 08:53:33
от ffrr
Обновление свободных видеодрайверов Intel и Radeon из репозитория Backports

Автор Udachnik

Ответов: 6
Просмотров: 10615
Последний ответ 13 Апрель 2014, 12:31:37
от grek
Установка и обновление драйверов Nvidia/ATI с помощью sgfxi

Автор Udachnik

Ответов: 6
Просмотров: 27022
Последний ответ 30 Март 2011, 14:39:19
от paulcarroty
xfwm4-tiling в Wheezy, при Xfce 4.8

Автор nk

Ответов: 2
Просмотров: 1662
Последний ответ 16 Апрель 2014, 21:39:52
от vladimir_ar